# Installify
Installify is a Bash shell script to download new software and applications.

## Applications & Software
* Android Studio (TO-DO)
* Bootstrap Studio
* Chrome
* Defold (TO-DO)
* Discord (TO-DO)
* Docker
* Firefox
* Gcc
* Git
* Node
* NordVPN
* OBS
* PHP
* Python (TO-DO)
* Yarn
* Open-jdk
* Slack
* Spotify
* Visual Studio Code
* Xampp (TO-DO)
* ZSH (TO-DO)
    * Missing any applications or software? Feel free to leave an issue behind or create a merge request with the created files :)

# Use

```console
wget -P ~/ https://git.aterve.com/Spekulaas/BashInstaller/archive/master.zip
unzip ~/master.zip
```
or with git
```console
$ git clone https://git.aterve.com/Spekulaas/BashInstaller.git
```

`cd $PATH_TO/Installify` and run the script interactively using `sudo ./install.sh [argunments]`:

* -h, -help			Show a list of all commands
* -v, -version		Show the current version of the application
* -d				Run the install in debug mode
* -a				Download all the files without the install command prompt
* -b				Use bash as main terminal without the prompt
* -z				Use Oh-My-Zsh as main terminal without the prompt

Example usage:

Manually select the install the files:

```console
$   sudo ./install.sh
```

Install files in debug mode:

```console
$   sudo ./install.sh -d
```

Install all files in debug mode:

```console
$   sudo ./install.sh -da
```

Install all files with Oh-My-Zsh in debug mode:

```console
$   sudo ./install.sh -daz
```

Install all files with Oh-My-Zsh:

```console
$   sudo ./install.sh -az
```

# TO-DO
Name change BashInstaller -> Installify
See applications and software tab